Ingest a batch of traces (max 100)
curl --request POST \
--url https://api.trulayer.ai/v1/ingest/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"traces": [
{
"id": "<string>",
"external_id": "<string>",
"name": "<string>",
"input": "<string>",
"output": "<string>",
"model": "<string>",
"latency_ms": 123,
"cost": 123,
"error": "<string>",
"tags": {},
"metadata": {},
"spans": [
{
"name": "<string>",
"id": "<string>",
"parent_span_id": "<string>",
"input": "<string>",
"output": "<string>",
"model": "<string>",
"latency_ms": 123,
"cost": 123,
"error": "<string>",
"prompt_tokens": 123,
"completion_tokens": 123,
"metadata": {},
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
],
"events": [
{
"message": "<string>",
"id": "<string>",
"span_id": "<string>",
"level": "info",
"metadata": {}
}
]
}
]
}
'import requests
url = "https://api.trulayer.ai/v1/ingest/batch"
payload = { "traces": [
{
"id": "<string>",
"external_id": "<string>",
"name": "<string>",
"input": "<string>",
"output": "<string>",
"model": "<string>",
"latency_ms": 123,
"cost": 123,
"error": "<string>",
"tags": {},
"metadata": {},
"spans": [
{
"name": "<string>",
"id": "<string>",
"parent_span_id": "<string>",
"input": "<string>",
"output": "<string>",
"model": "<string>",
"latency_ms": 123,
"cost": 123,
"error": "<string>",
"prompt_tokens": 123,
"completion_tokens": 123,
"metadata": {},
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
],
"events": [
{
"message": "<string>",
"id": "<string>",
"span_id": "<string>",
"level": "info",
"metadata": {}
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
traces: [
{
id: '<string>',
external_id: '<string>',
name: '<string>',
input: '<string>',
output: '<string>',
model: '<string>',
latency_ms: 123,
cost: 123,
error: '<string>',
tags: {},
metadata: {},
spans: [
{
name: '<string>',
id: '<string>',
parent_span_id: '<string>',
input: '<string>',
output: '<string>',
model: '<string>',
latency_ms: 123,
cost: 123,
error: '<string>',
prompt_tokens: 123,
completion_tokens: 123,
metadata: {},
start_time: '2023-11-07T05:31:56Z',
end_time: '2023-11-07T05:31:56Z'
}
],
events: [
{
message: '<string>',
id: '<string>',
span_id: '<string>',
level: 'info',
metadata: {}
}
]
}
]
})
};
fetch('https://api.trulayer.ai/v1/ingest/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ingested": 123,
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}ingest
Ingest a batch of traces (max 100)
POST
/
v1
/
ingest
/
batch
Ingest a batch of traces (max 100)
⌘I